Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ColumnIndexer.RowHeader

    java.lang.Object
      org.apache.cassandra.db.ColumnIndexer.RowHeader

Enclosing class:
  ColumnIndexer

    public static class ColumnIndexer.RowHeader

extends java.lang.Object

Holds information about serialized index and bloom filter

Field Summary
`BloomFilter` | `bloomFilter`
`int` | `entriesSize`
`java.util.List<IndexHelper.IndexInfo>` | `indexEntries`

Constructor Summary
`ColumnIndexer.RowHeader(BloomFilter bf, java.util.List<IndexHelper.IndexInfo> indexes)`

Method Summary
`long` | `serializedSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bloomFilter

    public final BloomFilter bloomFilter

### indexEntries

    public final java.util.List<IndexHelper.IndexInfo> indexEntries

### entriesSize

    public final int entriesSize

Constructor Detail

### ColumnIndexer.RowHeader

    public ColumnIndexer.RowHeader(BloomFilter bf,
                                   java.util.List<IndexHelper.IndexInfo> indexes)

Method Detail

### serializedSize

    public long serializedSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation